var five = require('johnny-five');

five.Board().on('ready', function() {
  console.log('ready');

  // Initialize the RGB LED
  var led = new five.Led.RGB({
    pins: {
      red: 6,
      green: 5,
      blue: 3
    }
  });

  led.on();

  var pubnub = require('pubnub').init({
    publish_key: '',
    subscribe_key: ''
  });

  var channel = 'sample';

  pubnub.subscribe({
    channel: channel,
    callback: setLedColor,
    connect: initLedColor,
    error: function(err) {console.log(err);}
  });

  function setLedColor(m) {
    led.color({red: m.r, green: m.g, blue: m.b});
    console.log( 'color change to...' );
    console.log( led.color() );
  }

  function initLedColor() {
    pubnub.history({
      channel: channel,
      count: 1,
      callback: function(messages) {
        messages[0].forEach(function(m) {
          setLedColor(m);
        });
      }
    });
  }

});
